Bug 257857 - security/py-certbot-dns-cpanel: Update to 0.3.0
Summary: security/py-certbot-dns-cpanel: Update to 0.3.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Nuno Teixeira
URL: https://github.com/badjware/certbot-d...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-08-15 11:23 UTC by V
Modified: 2021-08-26 15:26 UTC (History)
2 users (show)

See Also:
h.freshports: maintainer-feedback+


Attachments
patch (1.73 KB, patch)
2021-08-15 11:23 UTC, V
no flags Details | Diff
patch (1.98 KB, patch)
2021-08-20 15:22 UTC, Henrik
h.freshports: maintainer-approval+
Details | Diff
patch (2.74 KB, patch)
2021-08-26 08:11 UTC, Henrik
no flags Details | Diff
correction (1.46 KB, patch)
2021-08-26 15:03 UTC, Henrik
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description V 2021-08-15 11:23:21 UTC
Created attachment 227214 [details]
patch

0.3.0
- add support for cpanel api token
Comment 1 Henrik 2021-08-15 11:42:49 UTC
Thanks! Planned to fix this later today.
Comment 2 Henrik 2021-08-20 15:22:09 UTC
Created attachment 227342 [details]
patch

Found some errors that was included in the sample file when doing a fresh install. Please commit the following patch instead.
Comment 3 Nuno Teixeira freebsd_committer 2021-08-23 16:06:48 UTC
Hello,

1. 'portclippy Makefile' is sugesting order variables:
---
# PORTNAME block
PORTNAME
DISTVERSION
CATEGORIES
MASTER_SITES
PKGNAMEPREFIX

# Maintainer block
MAINTAINER
COMMENT

# License block
LICENSE

# Dependencies
RUN_DEPENDS

# USES block
USES
USE_PYTHON

# Standard bsd.port.mk variables
+NO_ARCH
SUB_FILES

# Packaging list block
PLIST_FILES

-NO_ARCH
---

2. 'portfmt -D Makefile' is sugesting do alphabetical order in RUN_DEPENDS:
---
--- Makefile
+++ Makefile
@@ -9,9 +9,9 @@
 
 LICENSE=	APACHE20
 
+RUN_DEPENDS=	${LOCALBASE}/share/certs/ca-root-nss.crt:security/ca_root_nss \
+		${PYTHON_PKGNAMEPREFIX}certbot>0:security/py-certbot@${PY_FLAVOR} \
+		${PYTHON_PKGNAMEPREFIX}zope.interface>0:devel/py-zope.interface@${PY_FLAVOR}
-RUN_DEPENDS=	${PYTHON_PKGNAMEPREFIX}certbot>0:security/py-certbot@${PY_FLAVOR} \
-		${PYTHON_PKGNAMEPREFIX}zope.interface>0:devel/py-zope.interface@${PY_FLAVOR} \
-		${LOCALBASE}/share/certs/ca-root-nss.crt:security/ca_root_nss
 
 USES=		python:3.6+
 USE_PYTHON=	autoplist distutils
---

Could yo apply this small style/order fixes?
Thanks
Comment 4 Henrik 2021-08-26 08:11:35 UTC
Created attachment 227442 [details]
patch

Hi,

Sorry for a slow response, I've been ill for a couple of days. Thanks for your suggestion. The changes is now applied.
Comment 5 commit-hook freebsd_committer 2021-08-26 14:18:29 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=3c1321d5c23787d65f27eb48bea56cebf701f4f8

commit 3c1321d5c23787d65f27eb48bea56cebf701f4f8
Author:     V <ven1m@protonmail.com>
AuthorDate: 2021-08-26 14:17:08 +0000
Commit:     Nuno Teixeira <eduardo@FreeBSD.org>
CommitDate: 2021-08-26 14:17:08 +0000

    security/py-certbot-dns-cpanel: Update to 0.3.0

    ChangeLog: https://github.com/badjware/certbot-dns-cpanel/releases/tag/0.3.0

    PR:             257857

 security/py-certbot-dns-cpanel/Makefile                     | 12 ++++++------
 security/py-certbot-dns-cpanel/distinfo                     |  6 +++---
 security/py-certbot-dns-cpanel/files/credentials.ini.sample |  5 +++++
 3 files changed, 14 insertions(+), 9 deletions(-)
Comment 6 Nuno Teixeira freebsd_committer 2021-08-26 14:19:15 UTC
Committed with small fixes.

Thanks!
Comment 7 Henrik 2021-08-26 14:29:19 UTC
Tganks, but I think you committed the initial version with some problems in the credentials.ini.sample file
Comment 8 Nuno Teixeira freebsd_committer 2021-08-26 14:33:26 UTC
(In reply to Henrik from comment #7)
You are right! I've picked the old diff.

Could you correct actual commit and upload new diff to avoid a revert?
Comment 9 Henrik 2021-08-26 15:03:38 UTC
Created attachment 227449 [details]
correction

Sure,

Here is the corrected version with a new name.
Comment 10 commit-hook freebsd_committer 2021-08-26 15:26:42 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=42faf0b128180943a240d8090792dd437c0b6b4b

commit 42faf0b128180943a240d8090792dd437c0b6b4b
Author:     V <ven1m@protonmail.com>
AuthorDate: 2021-08-26 15:19:49 +0000
Commit:     Nuno Teixeira <eduardo@FreeBSD.org>
CommitDate: 2021-08-26 15:26:07 +0000

    security/py-certbot-dns-cpanel: missed patch

     * bump revision

    Apply missed patch from lastest commit that fixes erros in file:
    files/credentials.ini.sample.

    PR:             257857

 security/py-certbot-dns-cpanel/Makefile                     |  2 +-
 security/py-certbot-dns-cpanel/files/credentials.ini.sample | 12 ++++--------
 2 files changed, 5 insertions(+), 9 deletions(-)